﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BlobWCFClient
{
    public partial class Form1 : Form
    {
        private PlexBlob.BlobWCFServiceClient bwfc = new BlobWCFClient.PlexBlob.BlobWCFServiceClient("IBlobWCFService");
            
        
        public Form1()
        {
            bwfc.InnerChannel.OperationTimeout = new TimeSpan(0, 0, 30);
            InitializeComponent();
        }



        private void btn_Read_Click(object sender, EventArgs e)
        {
            PlexBlob.AA5F_Input inparm = new BlobWCFClient.PlexBlob.AA5F_Input();
            BlobWCFClient.PlexBlob.AA5F_Input._FetchKey fetchkey = new BlobWCFClient.PlexBlob.AA5F_Input._FetchKey();
            fetchkey.AAgA = this.tb_BlobKey.Text;

            inparm.FetchKey = fetchkey;

            PlexBlob.AA5F_Output outparm = bwfc.SingleFetch(inparm);

            this.tb_blobName.Text = outparm.FetchedData.AAbA;
            if (outparm.FetchedData.AAbA.EndsWith(".bmp", StringComparison.CurrentCultureIgnoreCase))
                this.pb_Blob.Image = new Bitmap(new System.IO.MemoryStream(outparm.FetchedData.AAcA));

            System.IO.FileStream fs =
            new System.IO.FileStream("C:\\_PlexBlob\\Resource\\OutputByWCFClient\\" + outparm.FetchedData.AAbA,
                System.IO.FileMode.Create,
                System.IO.FileAccess.Write);
            fs.Write(outparm.FetchedData.AAcA, 0, outparm.FetchedData.AAcA.Length);
            fs.Close();


        }
    }
}